Question I bought yesterday a new switch with 1.0.0 firmware

Discussion in 'Switch - Hacking & Homebrew' started by yhamek, Mar 31, 2017.

  1. yhamek
    OP

    yhamek Newbie

    Newcomer
    3
    0
    Mar 31, 2017
    France
    Hi all,

    Yesterday, i bought a new nintendo switch console which had the 1.0.0 firmware. :(

    Knowing that i want hombrews, my question is : should i update the system to 2.1.0 firmware or stay in 1.0.0 (i read in another topic that there is no exploit in the 1.0.0 firmware).

    Thank's for your help.
     
  2. yahoo

    yahoo G͝B͢A͜t͞em҉p̡ R̨e͢g̷ul̨aŗ

    Member
    339
    236
    Aug 4, 2014
    United States
    Neither 2.1.0 nor 1.0.0 have a released exploit at the moment.
     
  3. EmanueleBGN

    EmanueleBGN GBAtemp Advanced Fan

    Member
    694
    347
    Jul 22, 2015
    Italy
    2.1.0 patches a 2.0.0 possible entrypoint
    1.0.0 has no browser
     
  4. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    Just update. You don't even have a browser atm.
     
  5. yhamek
    OP

    yhamek Newbie

    Newcomer
    3
    0
    Mar 31, 2017
    France
    Thank you for your answers. So, if the 1.0.0 firmware does not even have a browser, i think that i will update to 2.1.0.

    But i wonder if i could update to 2.0.0 with a legit game cartridge like 3DS was ? (i wonder if Zelda BOTW has the 2.0.0 update in the cartridge ???)
     
  6. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    No, it doesn't. A I don't think there's any game that have it. Also, if it works in Switch like in 3DS, it won't update the browser so...
     
  7. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,462
    4,779
    Mar 17, 2010
    Norway
    Alola
    I expect it actually does update the browser. On 3DS there was no reason, since if you had access to the internet, you were able to update to the latest firmware in System Settings. But this browser is for access points that require authentication, so if your only wifi access was behind a login page, you'd need a way to update the browser offline to actually use it. It would be a dumb move to require an online update to use that feature, since some people would be stuck offline with no way to update and no way to log in to the wifi network.
     
    Bedel likes this.
  8. SkulllKid

    SkulllKid Member

    Newcomer
    49
    5
    Apr 10, 2015
    United States
    no, you cant, the only way to update is via internet, it is a risk, you can stay on 1.0.0 to wait for a way to update to 2.0 but i dont think it gonna be a way for that, so you can update to wait if someone found a way to access on 2.1
     
  9. Bedel

    Bedel The key of the blade

    Member
    981
    330
    Oct 28, 2015
    Well this is right, but afaik there isn't still any game that uptades the software. We'll just have to wait
     
  10. Mr. Wizard

    Mr. Wizard Ending the spread of bullshit one thread at a time

    Member
    1,112
    424
    Mar 20, 2015
    Canada
    10th Dimension
    Damned if you do, damned if you don't...

    First exploit will most likely be a hard mod anyway, which will hopefully allow you to downgrade once a soft mod is born.
     
    Last edited by Mr. Wizard, Mar 31, 2017
  11. Manurocker95

    Manurocker95 Pokémon Master

    Member
    605
    142
    May 29, 2016
    Madrid
    As said above, just update. You need the webkit for doing stuff and you have to update to get it so... meh, who cares.
     
  12. yhamek
    OP

    yhamek Newbie

    Newcomer
    3
    0
    Mar 31, 2017
    France
    That's what i did, i am now on 2.1.0 firmware.

    I am waiting.